summaryrefslogtreecommitdiff
path: root/dev-python/ptpython/ptpython-3.0.29.ebuild
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-python/ptpython/ptpython-3.0.29.ebuild
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-python/ptpython/ptpython-3.0.29.ebuild')
-rw-r--r--dev-python/ptpython/ptpython-3.0.29.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/dev-python/ptpython/ptpython-3.0.29.ebuild b/dev-python/ptpython/ptpython-3.0.29.ebuild
new file mode 100644
index 000000000000..7428dd2fd3f5
--- /dev/null
+++ b/dev-python/ptpython/ptpython-3.0.29.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python REPL build on top of prompt-toolkit"
+HOMEPAGE="https://github.com/prompt-toolkit/ptpython"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+black ipython"
+
+RDEPEND="
+ black? (
+ dev-python/black[${PYTHON_USEDEP}]
+ )
+ dev-python/appdirs[${PYTHON_USEDEP}]
+ ipython? (
+ dev-python/ipython[${PYTHON_USEDEP}]
+ )
+ >=dev-python/jedi-0.16.0[${PYTHON_USEDEP}]
+ >=dev-python/prompt-toolkit-3.0.43[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+"
+
+python_install() {
+ distutils-r1_python_install
+ if ! use ipython; then
+ rm "${ED}"/usr/bin/ptipython* || die
+ fi
+}